commit: 740d5e89e8edab17e40285c3aeba06343af91c3c
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Thu Nov 24 23:01:35 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Nov 25 07:52:33 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=740d5e89
media-libs/gegl: 0.4.40 version bump
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/gegl/Manifest | 1 +
.../gegl/{gegl-9999.ebuild => gegl-0.4.40.ebuild} | 27 ++++++++++++++++++----
media-libs/gegl/gegl-9999.ebuild | 18 +++++++++++----
3 files changed, 38 insertions(+), 8 deletions(-)
diff --git a/media-libs/gegl/Manifest b/media-libs/gegl/Manifest
index be1c2d7dd569..6adb5d584bfd 100644
--- a/media-libs/gegl/Manifest
+++ b/media-libs/gegl/Manifest
@@ -1,2 +1,3 @@
DIST gegl-0.4.36.tar.xz 5680876 BLAKE2B
e2051d21eadfd6ff5c4547d337e749ebb9526be0b45bf80116cfdd1bb98b0fd3b4cced83b4700ecb04c003f83074928ac0c7b4bc8929134c57950a1ac957d50b
SHA512
4d681091b15e7911229f86bf22381d62268451da57bba072bcb8ee3f4db79e2719dd7e70ab208c2c021e5353f42a9f88c18f62132512b18fe78ed6ad279660f8
DIST gegl-0.4.38.tar.xz 5722188 BLAKE2B
8079326f50b18b4698e83f90a4fa8fd26722a3b6fd8d81a9cc1a735e765591e1b76a3dbbef37e7a793231becf265b28bd0bd235076e43ae00c4071d8986a2edf
SHA512
367aa67019557b10a19536c56dfbf6687ade183585eeefec65ce12d3c72f5d78330e02ae0ff403609bb7579dc25340a7132b81d36bbf84327c658a96a2d04d4c
+DIST gegl-0.4.40.tar.xz 5784744 BLAKE2B
c4466a76ec4f7939161e9ead6980b8a701f3fc459c40c3de3e09caa688aae12fb1f4a9979ca82e95011437f229532ba07012590d00aeb97b610b69968faa454f
SHA512
99ace5f1b916e56f31483b60a38f885d0e09652c834122390bba4439d9bb1a137d84770e1518187330c44f3491e53393cfb8802ba9ede20658e1c8122e798888
diff --git a/media-libs/gegl/gegl-9999.ebuild
b/media-libs/gegl/gegl-0.4.40.ebuild
similarity index 84%
copy from media-libs/gegl/gegl-9999.ebuild
copy to media-libs/gegl/gegl-0.4.40.ebuild
index 0039c8802478..db78c5647e6c 100644
--- a/media-libs/gegl/gegl-9999.ebuild
+++ b/media-libs/gegl/gegl-0.4.40.ebuild
@@ -7,7 +7,7 @@ PYTHON_COMPAT=( python3_{8..11} )
# vala and introspection support is broken, bug #468208
VALA_USE_DEPEND=vapigen
-inherit flag-o-matic meson optfeature python-any-r1 vala
+inherit flag-o-matic meson optfeature python-any-r1 toolchain-funcs vala
if [[ ${PV} == *9999* ]]; then
inherit git-r3
@@ -24,7 +24,7 @@ HOMEPAGE="https://gegl.org/"
LICENSE="|| ( GPL-3+ LGPL-3 )"
SLOT="0.4"
-IUSE="cairo debug ffmpeg introspection lcms lensfun openexr pdf raw sdl sdl2
svg test tiff umfpack vala v4l webp"
+IUSE="cairo debug ffmpeg introspection lcms lensfun openexr openmp pdf raw sdl
sdl2 svg test tiff umfpack vala v4l webp"
REQUIRED_USE="
svg? ( cairo )
test? ( introspection )
@@ -39,7 +39,7 @@ RESTRICT="!test? ( test )"
RDEPEND="
>=dev-libs/glib-2.68.2:2
>=dev-libs/json-glib-1.2.6
- >=media-libs/babl-0.1.96[introspection?,lcms?,vala?]
+ >=media-libs/babl-0.1.98[introspection?,lcms?,vala?]
media-libs/libjpeg-turbo
media-libs/libnsgif
>=media-libs/libpng-1.6.0:0=
@@ -76,9 +76,18 @@ BDEPEND="
DOCS=( AUTHORS docs/ChangeLog docs/NEWS.adoc )
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+ python-any-r1_pkg_setup
+}
+
python_check_deps() {
use test || return 0
- has_version -b ">=dev-python/pygobject-3.2:3[${PYTHON_USEDEP}]"
+ python_has_version -b ">=dev-python/pygobject-3.2:3[${PYTHON_USEDEP}]"
}
src_prepare() {
@@ -95,6 +104,15 @@ src_prepare() {
if [[ ${CHOST} == *-darwin* && ${CHOST#*-darwin} -le 9 ]] ; then
sed -i -e 's/#ifdef __APPLE__/#if 0/' gegl/opencl/* || die
fi
+
+ # fix 'build'headers from *.cl on gentoo-hardened, bug 739816
+ pushd "${S}/opencl/" || die
+ for file in *.cl; do
+ if [[ -f ${file} ]]; then
+ "${EPYTHON}" cltostring.py "${file}" || die
+ fi
+ done
+ popd || die
}
src_configure() {
@@ -123,6 +141,7 @@ src_configure() {
$(meson_feature lcms)
$(meson_feature lensfun)
$(meson_feature openexr)
+ $(meson_feature openmp)
$(meson_feature pdf poppler)
$(meson_feature raw libraw)
$(meson_feature sdl sdl1)
diff --git a/media-libs/gegl/gegl-9999.ebuild b/media-libs/gegl/gegl-9999.ebuild
index 0039c8802478..414f2ad28633 100644
--- a/media-libs/gegl/gegl-9999.ebuild
+++ b/media-libs/gegl/gegl-9999.ebuild
@@ -7,7 +7,7 @@ PYTHON_COMPAT=( python3_{8..11} )
# vala and introspection support is broken, bug #468208
VALA_USE_DEPEND=vapigen
-inherit flag-o-matic meson optfeature python-any-r1 vala
+inherit flag-o-matic meson optfeature python-any-r1 toolchain-funcs vala
if [[ ${PV} == *9999* ]]; then
inherit git-r3
@@ -24,7 +24,7 @@ HOMEPAGE="https://gegl.org/"
LICENSE="|| ( GPL-3+ LGPL-3 )"
SLOT="0.4"
-IUSE="cairo debug ffmpeg introspection lcms lensfun openexr pdf raw sdl sdl2
svg test tiff umfpack vala v4l webp"
+IUSE="cairo debug ffmpeg introspection lcms lensfun openexr openmp pdf raw sdl
sdl2 svg test tiff umfpack vala v4l webp"
REQUIRED_USE="
svg? ( cairo )
test? ( introspection )
@@ -39,7 +39,7 @@ RESTRICT="!test? ( test )"
RDEPEND="
>=dev-libs/glib-2.68.2:2
>=dev-libs/json-glib-1.2.6
- >=media-libs/babl-0.1.96[introspection?,lcms?,vala?]
+ >=media-libs/babl-0.1.98[introspection?,lcms?,vala?]
media-libs/libjpeg-turbo
media-libs/libnsgif
>=media-libs/libpng-1.6.0:0=
@@ -76,9 +76,18 @@ BDEPEND="
DOCS=( AUTHORS docs/ChangeLog docs/NEWS.adoc )
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+ python-any-r1_pkg_setup
+}
+
python_check_deps() {
use test || return 0
- has_version -b ">=dev-python/pygobject-3.2:3[${PYTHON_USEDEP}]"
+ python_has_version -b ">=dev-python/pygobject-3.2:3[${PYTHON_USEDEP}]"
}
src_prepare() {
@@ -123,6 +132,7 @@ src_configure() {
$(meson_feature lcms)
$(meson_feature lensfun)
$(meson_feature openexr)
+ $(meson_feature openmp)
$(meson_feature pdf poppler)
$(meson_feature raw libraw)
$(meson_feature sdl sdl1)